﻿/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
  overflow-x: hidden !important;
  margin:0px;
}
body {
    overflow-x: visible !important;
    /*margin: 0 0 130px; bottom = footer height */
}

footer {        
    position: absolute;        
    left: 0;
    bottom: 0;
    height: 130px;
    width: 100%;
    margin-bottom:0px !important;
    padding-bottom: 0px !important;
    line-height: 20px;
    color: #e6e5e5; 
}

  .footerText{
     font-size:11px;
 }

  .tabletype {
    width: 100%;
    background-color: #FFFFFF;
    text-align: left;
}

 .wordwrap{    
    /* wrap long text and urls */  
    word-wrap: break-word; /* IE 5+ */
} 
 .navBarPad {
    height: 50px;
}

 .footerNavPad{
     height: 150px;
}

.navHeaderTitle2 {
    color: #e6e5e5;
    font-size: 18px;
    font-weight:bold;
}

.formFields {
    width:90%;
}

.profileName {
    color: #f4f4f4 !important;
    font-size:14px;
    padding-right:10px;
}

.menuLine {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #FFFFFF;
    margin:2px;
    padding: 0; 
}

.normalLabel {
    font-weight:normal !important;
}

.btnNoPad {
    padding: 0px 10px;
}

.gridRowAlt {
    background-color: #edeff2 !important;
}

.gridRow {
    background-color: #FFFFFF !important;
}

.smallButton {    
    height:22px !important;
    padding-right: 3px;
    padding-left: 2px;
    padding-top:0px;
    padding-top:0px;
}

.searchButton {    
    height:31px !important;
    padding: 2px 5px 5px 5px;
}

.input-validation-error{
    border-color: #dc3545;
    color:#dc3545;
    background-color: #f2dede; 
}        

.field-validation-error{            
    color:#dc3545;
}

.field-validation-error-bold{            
    color:#dc3545;
    font-weight: bold;
}

/*Statuses and colors*/
.acceptedBack{
    background-color: green;
    color: white;
    font-weight: bold;
}

.declinedBack{
    background-color: red;
    color: white;
    font-weight: bold;
}

.acceptedBack{
    background-color: green;
    color: white;
    font-weight: bold;
}

.pendingBack{
    background-color: yellow;
    color: black;
    font-weight: bold;
}

.changedBack{
    background-color: black;
    color: white;
    font-weight: bold;
}

/****************************************************************************************************/
/*Boxes and Divs*/

.cardBlock{
    padding-left:10px;
}

 .boxStyle {
    border: 1px solid #ccc;
    border-left: 1px solid #ccc;
    border-bottom: 1px solid #ccc;
    border-top: 1px solid #ccc;
    border-right: 1px solid #ccc;
    -moz-box-shadow: 5px 5px 5px #acadae;
    -webkit-box-shadow: 5px 5px 5px #acadae;
    box-shadow: 5px 5px 5px #acadae;
    padding: 5px;
    background-color: white;
}
 .boxStyleNoShadow {
    border: 1px solid #ccc;
    border-left: 1px solid #ccc;
    border-bottom: 1px solid #ccc;
    border-top: 1px solid #ccc;
    border-right: 1px solid #ccc;   
    padding: 5px;
    background-color: white;
}

 .quickLinksDiv {
     display: block;
     width: 100%;
     border: 1px solid #888;
     text-decoration: none;
     font-weight: bold;
     line-height: 1.3em;
     background: #f7f7f7;
     -webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, .3);
     -moz-box-shadow: inset 0 1px 2px rgba(0, 0, 0, .3);
     box-shadow: inset 0 1px 2px rgba(0, 0, 0, .3);
     -webkit-border-radius: 4px;
     -moz-border-radius: 4px;
     border-radius: 4px;
     margin-top:0px;
     margin-bottom:5px;
     height:40px;
 }
 .innerLinksPad{
     padding-top:3px;
     padding-bottom:3px;
     padding-left:3px;
     padding-right:3px;
 }

 .iconGroupBox{
     background-color: #f5f5f6; 
     padding-top:5px; 
     border:1px solid #d1d4d7;
     border-right: 2px;
     padding-left:2px;
     padding-bottom:2px;
 }

  .pageHeadBox{
     background-color: #f5f5f6; 
     padding-top:10px; 
     border:1px solid #d1d4d7;
     padding-left:5px;
     padding-bottom:10px;
 }

 .cardButton {
     padding-top: 7px !important;
     padding-bottom: 7px !important;
     height: 25px !important;
     -webkit-appearance: none !important;
 }

 .linkButton {
     -webkit-appearance: none !important;
 }




/*******************************************************************************************************/
/*Upload File*/

  label.uploadFile input[type="file"] {
    position: fixed;
    top: -1000px;
}

.uploadFile {
    border: none;
    border-radius: 4px;
    padding: 5px 5px;
    margin: 2px;
    background: #007bff;
    display: inline-block;
    color: white;
    font-size:14px;
}

.uploadFile:hover {
    background: #0062cc;
    color: white;
}
 
/*
.uploadFile:active {
    background: #CCF;
}

.uploadFile :invalid + span {
    color: #A44;
}
.uploadFile :valid + span {
    color: #4A4;
}
*/



/*Div Grid*/
.divTableHead {
    background-color: #0d47a1 !important;
    color: white;
    padding-bottom: 0px!important;
    padding-top: 5px !important;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
} 

.divTableRow{
    border: 1px solid #ccc !important;
    padding-bottom:0px !important;
    padding-top: 2px!important;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
}

.updateDivText{
    color: #2158ae;
    font-style:italic;
}

 /*GW*/
 body #Form{height:100%}
@font-face{font-family:"bebasregular";src:url("../fonts/bebas___-webfont.woff2") format("woff2"),url("../fonts/bebas___-webfont.woff") format("woff");font-weight:normal;font-style:normal}
@font-face{font-family:"bebas_neuebold";src:url("../fonts/bebasneue_bold-webfont.woff2") format("woff2"),url("../fonts/bebasneue_bold-webfont.woff") format("woff");font-weight:normal;font-style:normal}

 html{-webkit-box-sizing:border-box;box-sizing:border-box}
   *,*:after,*:before{-webkit-box-sizing:inherit;box-sizing:inherit}
   body{font-family:"titillium-web",sans-serif;background:#f8f8f8 !important;}
   h1,h2,h3,h4,h5,h6{line-height:1.2;color:#000;font-weight:500;font-family:"bebas_neuebold",sans-serif;color:#111}
   h1 a,h2 a,h3 a,h4 a,h5 a,h6 a{text-decoration:none}
  
   h2{margin:40px 0 20px}h3,h4,h5,h6{margin:10px 0}
   h1{font-size:6rem}
   h1.page-title__text{color:#d8d8d8;margin:0;font-size:6rem;margin-bottom:-17px;line-height:1}
   h2{font-size:4rem}
   h3{font-size:2.5rem;color:#1565c0;font-family:"titillium-web",sans-serif;margin-bottom:0.5em;font-weight:bold}
   h4{font-size:1.7rem}
   h5{font-size:1.4rem}
   h6{font-size:1.1rem} 



 .hyperLink{
    color: #1976d2  !important; 
    font-weight: bold !important;
}

.hyperLink:hover{
    color: #1565c0 !important;
    font-weight: bold !important;
}

 .gridTableHover tbody tr:hover td {
    background: #1565c0 !important;
    color: #fafafa !important;
    border:none !important;
    cursor: pointer !important;    
}

.gridTableLightHover tbody tr:hover td {
    background: #fafafa !important;
    color: #212121 !important;  
}

.gridTable>thead>tr>th, .gridTable>tbody>tr>th, .gridTable>tfoot>tr>th, .gridTable>thead>tr>td, .gridTable>tbody>tr>td, .gridTable>tfoot>tr>td{
    padding: 5px !important;
}



  .btn {
     /*margin-top: 1px !important;*/
     padding-left:15px !important;
     padding-right: 15px !important;
     padding-top: 9px !important;
     padding-bottom: 7px !important;
}
